Page MenuHomePhabricator

Update all extensions to use AuthManager
Open, LowPublic

Description

See AuthManager RfC (for now). List based on T91303 and T110414.

Related Objects

StatusAssignedTask
ResolvedNone
Resolved Mattflaschen-WMF
ResolvedDeskana
ResolvedAnomie
OpenNone
ResolvedAnomie
OpenNone
ResolvedTgr
ResolvedAnomie
OpenNone
OpenNone
OpenNone
ResolvedEnst80
ResolvedEnst80
ResolvedEnst80
ResolvedSkizzerz
ResolvedFlorian
OpenNone
DeclinedNone
DeclinedNone
DeclinedNone
Resolvedaaron
Resolvedaaron
DeclinedNone
Resolvedashley
OpenNone
DeclinedNone
Resolvedcicalese
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
ResolvedAnomie
OpenNone
DeclinedNone
OpenNone
DeclinedMaxSem
OpenNone
DeclinedNone
ResolvedNikerabbit
ResolvedNikerabbit
Resolvedashley
OpenNone
OpenNone
DeclinedNone
OpenNone
OpenMahveotm
ResolvedBawolff
OpenNone
OpenNone
OpenNone
ResolvedLokal_Profil
Resolvedashley
OpenNone
OpenNone
DeclinedNone
ResolvedFlorian
OpenNone
Resolveddemon
ResolvedTgr
ResolvedAnomie
ResolvedAnomie
ResolvedJoe
ResolvedJoe
Resolvedhashar
Resolved bd808
ResolvedAnomie
ResolvedKrinkle
OpenNone
ResolvedJanZerebecki
ResolvedKrinkle
ResolvedTgr
DuplicateNone
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
Resolved bd808
ResolvedAnomie
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedDereckson
ResolvedAnomie
ResolvedTgr
ResolvedTgr
ResolvedAnomie
ResolvedNikerabbit
ResolvedAnomie
ResolvedTgr
ResolvedAnomie
ResolvedTgr
Resolveddemon
ResolvedAnomie
ResolvedAnomie
ResolvedJdforrester-WMF
ResolvedYurik
ResolvedYurik
ResolvedMilimetric
ResolvedTgr

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Anomie added a subscriber: Anomie.Jan 18 2016, 3:14 PM

At a glance, InviteSignup probably needs looking at due to the use of the UserCreateForm hook. And maybe AddNewAccount too; I don't know if we've fully looked at all the hooks currently called from LoginForm with respect to whether they need changing in AuthManager.

Tgr added a comment.Jan 18 2016, 5:54 PM

At a glance, InviteSignup probably needs looking at due to the use of the UserCreateForm hook. And maybe AddNewAccount too; I don't know if we've fully looked at all the hooks currently called from LoginForm with respect to whether they need changing in AuthManager.

Things that use UserCreateForm are listed in T110431#1604967; I only added blockers for those which will be broken (cannot use the B/C hook calls because they do something special). I don't think I have looked at AddNewAccount.

Re AddNewAccount, chances are we should reopen T110431: Audit extensions using authentication-related hooks to do that.

Tgr added a comment.EditedJan 20 2016, 12:53 AM

Are we deprecating AddNewAccount? I don't think we have done that so far.

We should look through all the hooks, and decide what to do about them.

Nikerabbit changed the status of subtask T111486: Update Translate to use AuthManager from Stalled to Open.May 12 2016, 4:14 PM
Nemo_bis removed a subscriber: Nemo_bis.May 15 2016, 7:43 PM
Kghbln added a subscriber: Kghbln.EditedJun 15 2016, 1:44 PM

According to WikiApiary from the extensions listed here the ConfirmAccount extension is the one among the top 100 (actually it is a top 20 extension) with 1881 installs, probably even more. PS Do not get confused here: There is a listing for Confirm user accounts, Confirm User Accounts since it was renamed once along the way. So it will be nice to at least fluff this one up via T110451 until T129303 happens since this one is completely broken.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJun 25 2016, 1:49 PM
Xdaveyx added a subscriber: Xdaveyx.Jul 7 2016, 9:06 AM
Fannon added a subscriber: Fannon.Jul 19 2016, 12:42 PM
Phabricator_maintenance renamed this task from Update all extensions to use AuthManager (tracking) to Update all extensions to use AuthManager.Aug 13 2016, 11:28 PM

Could we add a sub-task to Update NTLMActiveDirectory to use AuthManager (a Windows-only extension which depends on the php_com_dotnet PHP extension) ?

@Fstarnaud Anyone is always able to add related (sub)-tasks to a task, so feel free :)

consider all subtasks blocked on T91699 and T110278

Really?

Anomie updated the task description. (Show Details)Nov 14 2016, 5:24 PM

You can see T91699 is closed. T110278 was repurposed from "specify UI interaction" to "improve UI interaction" and this text wasn't updated, fixed that.

Change 446357 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Disable test for ext not supporting AuthManager

https://gerrit.wikimedia.org/r/446357

Change 446357 merged by jenkins-bot:
[integration/config@master] Disable test for ext not supporting AuthManager

https://gerrit.wikimedia.org/r/446357

Could this be a good Google-Code-in-2018 task? If so, @Tgr can we do this?

Tgr added a comment.Oct 6 2018, 4:49 PM

Not really. Maybe for hyper-competent students.